package com.lukouguoji.aerologic.page.gnj.manifest.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityGnjManifestListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class GnjManifestListActivity :
    BaseBindingActivity<ActivityGnjManifestListBinding, GnjManifestListViewModel>() {

    override fun layoutId() = R.layout.activity_gnj_manifest_list

    override fun viewModelClass() = GnjManifestListViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内进港舱单")
        binding.viewModel = viewModel

        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())
        binding.rv.addOnItemClickListener(viewModel)

        viewModel.onCreated()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GnjManifestListActivity::class.java)
            context.startActivity(starter)
        }
    }

}